<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
IEdmBom Interface Members
See Also Properties Methods

Collapse All Expand All

EPDM.Interop.epdm Namespace : IEdmBom Interface

The following tables list the members exposed by IEdmBom.

# Public Properties

| Name | Description
--- | --- | ---
| CheckOutUserID | Gets the ID of the user who has this BOM checked out.
| CurrentState | Gets the current workflow state of this BOM.
| CurrentVersion | Gets the current version number of this BOM.
| FileID | Gets the unique ID of the file used to generate this BOM.
| IsCheckedOut | Gets whether this BOM is checked out.

Top

# Public Methods

| Name | Description
--- | --- | ---
| ChangeState | Changes the workflow state of this BOM.
| CheckIn | Checks in this BOM.
| CheckOut | Checks out this BOM.
| Delete | Deletes this BOM.
| GetVersions | Gets the versions of this BOM.
| GetView | Gets the BOM view for the specified BOM version. The BOM view allows you to read and manipulate the contents of the BOM.

Top

# See Also

####

IEdmBom Interface
EPDM.Interop.epdm Namespace
IEdmFile7::GetDerivedBOMs Method ()